/*************************************************************************
   AntiRight
   (c) 2003 Jeffrey Bedard
   jefbed@e-list.net
 
   This file is part of AntiRight.

    AntiRight is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    AntiRight is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AntiRight; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "antiright.h"

void antiright_help_cb(Widget widget,
		       XtPointer client_data, 
		       XtPointer call_data)
{
  Widget help, child;
  XmString message;
  call_data=NULL;
  widget=NULL;
  
  message=
    XmStringCreateLocalized(client_data);
  antiright_number_arguments=0;
  XtSetArg(antiright_arguments[antiright_number_arguments],
	   XmNmessageString,
	   message);
  antiright_number_arguments++;
  help=
    XmCreateInformationDialog(antiright_parent_widget,
			      "Help",
			      antiright_arguments,
			      antiright_number_arguments);
  child=XmMessageBoxGetChild(help, XmDIALOG_CANCEL_BUTTON);
  XtUnmanageChild(child);
  child=XmMessageBoxGetChild(help, XmDIALOG_HELP_BUTTON);
  XtUnmanageChild(child);
  XmStringFree(message);
  XtManageChild(help);
  widget=NULL;
}



