/*************************************************************************
   AntiRight
   (c) 2003 Jeffrey Bedard
   jefbed@e-list.net
 
   This file is part of AntiRight.

    AntiRight is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    AntiRight is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AntiRight; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
void
ok_cb();
void
cancel_cb();
void
antiright_command_cb();
void
exit_cb();
void
antiright_new_cb();
void 
antiright_null_cb();
void
antiright_system_cb();
Widget
antiright_create_pulldown_menu(Widget parent_widget, 
			       char* name);
Widget
antiright_create_button(Widget parent_widget, 
			char* name, 
			XtCallbackProc callback, 
			XtPointer client_data);
void 
antiright_create_label(Widget parent_widget, 
			   char* name);
void 
antiright_create_separator(Widget parent);

void 
antiright_create_toolbar_separator(Widget parent);

void
antiright_check_return(int return_value);

char 
*antiright_strcat(char *head, char *tail);

void
antiright_set_icon(Widget parent_widget,
		   const char *name,
		   const char* bits,
		   int width,
		   int height);

void
antiright_initialize_application(int argc, 
				 char **argv);

Widget
antiright_create_help_menu(Widget parent);

/* Macros start here.  */

#define DEBUG(arg) {						\
  printf("%s:%u: %s",						\
	 __FILE__,						\
	 __LINE__,						\
	 arg);							\
  fflush(stdout);						\
}
