/*************************************************************************
   AntiRight
   (c) 2003 Jeffrey Bedard
   jefbed@e-list.net
 
   This file is part of AntiRight.

    AntiRight is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    AntiRight is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AntiRight; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "antiright.h"


void
solaris_theme_cb()
{
  system("echo \"*background: #aeb2c3\" > /tmp/theme.tmp");
  system("echo \"*enableThinThickness: True\" >> /tmp/theme.tmp");
  system("echo \"*foreground: black\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
  
}
void
windoze_theme_cb()
{
  system("echo \"*background: grey65\" > /tmp/theme.tmp");
  system("echo \"*foreground: black\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
digital_theme_cb()
{
  system("echo \"*background: darkgreen\" > /tmp/theme.tmp");
  system("echo \"*enableThinThickness: True\" >> /tmp/theme.tmp");
  system("echo \"*foreground: white\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
motif_theme_cb()
{
  system("echo \"*background: lightgrey\" > /tmp/theme.tmp");
  system("echo \"*foreground: black\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void 
cornflower_theme_cb()
{
  system("echo \"*background: cornflowerblue\" > /tmp/theme.tmp");
  system("echo \"*foreground: white\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
monochrome_theme_cb()
{
  system("echo \"*background: white\" > /tmp/theme.tmp");
  system("echo \"*foreground: black\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void 
reverse_theme_cb()
{
  system("echo \"*background: black\" > /tmp/theme.tmp");
  system("echo \"*foreground: white\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}

void
gnome2_theme_cb()
{
  system("echo \"*background: #dedbd6\" > /tmp/theme.tmp");
  system("echo \"*foreground: black\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void 
steel_theme_cb()
{
  system("echo \"*background: steelblue\" > /tmp/theme.tmp");
  system("echo \"*foreground: white\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
may_theme_cb()
{
  system("echo \"*background: red4\" > /tmp/theme.tmp");
  system("echo \"*foreground: white\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
revolution_theme_cb()
{
  system("echo \"*background: red4\" > /tmp/theme.tmp");
  system("echo \"*foreground: yellow\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
new_years_theme_cb()
{
  system("echo \"*background: black\" > /tmp/theme.tmp");
  system("echo \"*foreground: pink\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
october_theme_cb()
{
  system("echo \"*background: orange\" > /tmp/theme.tmp");
  system("echo \"*foreground: black\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}
void
blues_theme_cb()
{
  system("echo \"*background: blue4\" > /tmp/theme.tmp");
  system("echo \"*foreground: skyblue\" >> /tmp/theme.tmp");
  system("xrdb -merge /tmp/theme.tmp");
  system("rm /tmp/theme.tmp");
}

int
antiright_theme_manager()
{
  Widget dialog;
  Widget row[3];
  Widget child;
  antiright_number_arguments = 0;
  dialog= 
    XmCreateMessageDialog(antiright_parent_widget, 
			  "Theme", 
			  antiright_arguments, 
			  antiright_number_arguments);
  child=XmMessageBoxGetChild(dialog, 
			     XmDIALOG_OK_BUTTON);
  XtUnmanageChild(child);
  antiright_number_arguments = 0;
  XtSetArg(antiright_arguments[antiright_number_arguments],
	   XmNorientation,
	   XmHORIZONTAL);
  antiright_number_arguments++;
  row[0]=
    XmCreateRowColumn(dialog,
		      "row0",
		      antiright_arguments,
		      antiright_number_arguments);
  XtManageChild(row[0]);
  antiright_number_arguments = 0;
  XtSetArg(antiright_arguments[antiright_number_arguments],
	   XmNorientation,
	   XmVERTICAL);
  antiright_number_arguments++;
  row[1]=XmCreateRowColumn(row[0],
			   "row1",
			   antiright_arguments,
			   antiright_number_arguments);
  XtManageChild(row[1]);
  
  antiright_create_button(row[1],
			  "Motif",
			  motif_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Solaris",
			  solaris_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Digital",
			  digital_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Reset",
			  antiright_system_cb,
			  "xrdb ~/.Xdefaults");
  XtSetArg(antiright_arguments[antiright_number_arguments],
	   XmNorientation,
	   XmVERTICAL);
  antiright_number_arguments++;
  row[1]=XmCreateRowColumn(row[0],
			   "row1",
			   antiright_arguments,
			   antiright_number_arguments);
  XtManageChild(row[1]);
  antiright_create_button(row[1],
			  "Windoze",
			  windoze_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Cornflower",
			  cornflower_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Gnome",
			  gnome2_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Blues",
			  blues_theme_cb,
			  NULL);
  row[1]=XmCreateRowColumn(row[0],
			   "row1",
			   antiright_arguments,
			   antiright_number_arguments);
  XtManageChild(row[1]);
  antiright_create_button(row[1],
			  "Black",
			  reverse_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "White",
			  monochrome_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "Steel",
			  steel_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "May",
			  may_theme_cb,
			  NULL);
  row[1]=XmCreateRowColumn(row[0],
			   "row1",
			   antiright_arguments,
			   antiright_number_arguments);
  XtManageChild(row[1]);
  antiright_create_button(row[1],
			  "Revolution",
			  revolution_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "October",
			  october_theme_cb,
			  NULL);
  antiright_create_button(row[1],
			  "New Year",
			  new_years_theme_cb,
			  NULL);
  XtAddCallback(dialog,
		XmNhelpCallback,
		antiright_help_cb,
		"This dialog sets a the current X resource theme.");
  XtAddCallback(dialog,
		XmNcancelCallback,
		cancel_cb,
		"Cancel");
  XtManageChild(dialog);
  return(0);
}
void
antiright_theme_manager_cb()
{
  antiright_theme_manager();
}
